org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.log

## Class PageLockLogSnapshot.LogEntry

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.log.PageLockLogSnapshot.LogEntry

Enclosing class:
  PageLockLogSnapshot

    public static class PageLockLogSnapshot.LogEntry
    extends Object

Log entry.

### Field Summary

Fields
`int` `holdedLocks`
`int` `operation`
`long` `pageId`
`int` `structureId`

### Constructor Summary

Constructors
Constructor and Description
`LogEntry(long pageId, int structureId, int operation, int holdedLock)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pageId

    public final long pageId

#### structureId

    public final int structureId

#### operation

    public final int operation

#### holdedLocks

    public final int holdedLocks

### Constructor Detail

#### LogEntry

    public LogEntry(long pageId,
                    int structureId,
                    int operation,
                    int holdedLock)

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020